SSLConnRec Struct Reference
module AP_MODULE_DECLARE_DATA

`#include <canl_mod_ssl-private.h>`

## Data Fields

SSL * | ssl
const char * | client_dn
X509 * | client_cert
ssl_shutdown_type_e | shutdown_type
const char * | verify_info
const char * | verify_error
int | verify_depth
int | is_proxy
int | disabled
int | non_ssl_request

## Field Documentation

## client_cert

X509* SSLConnRec::client_cert

## client_dn

const char* SSLConnRec::client_dn

## disabled

int SSLConnRec::disabled

## is_proxy

int SSLConnRec::is_proxy

## non_ssl_request

int SSLConnRec::non_ssl_request

## shutdown_type

ssl_shutdown_type_e SSLConnRec::shutdown_type

## ssl

SSL* SSLConnRec::ssl

## verify_depth

int SSLConnRec::verify_depth

## verify_error

const char* SSLConnRec::verify_error

## verify_info

const char* SSLConnRec::verify_info